---
monitoring_install: true
monitoring_namespace: 'monitoring'

monitoring_scheduling_key: null

monitoring_prometheus_operator_memory_limit: "400Mi"
monitoring_prometheus_operator_memory_request: "100Mi"
monitoring_prometheus_operator_cpu_limit: "500m"
monitoring_prometheus_operator_cpu_request: "100m"

monitoring_prometheus_memory_limit: "3Gi"
monitoring_prometheus_memory_request: "{{ monitoring_prometheus_memory_limit }}"
monitoring_prometheus_cpu_limit: "1"
monitoring_prometheus_cpu_request: "{{ monitoring_prometheus_cpu_limit }}"

monitoring_prometheus_helm_repo_url: "https://prometheus-community.github.io/helm-charts"

monitoring_prometheus_stack_chart_name: "prometheus-community/kube-prometheus-stack"
monitoring_prometheus_stack_release_name: "prometheus-stack"
monitoring_prometheus_adapter_release_name: "prometheus-adapter"

monitoring_use_grafana: true
monitoring_use_thanos: false
monitoring_use_helm_thanos: true

monitoring_grafana_admin_secret_name: "cah-grafana-admin"

monitoring_prometheus_stack_version: "48.1.1"
monitoring_prometheus_adapter_version: "4.2.0"

monitoring_common_labels: {}

monitoring_grafana_persistent_storage_class: ""

monitoring_nvidia_dcgm_exporter_helm_repo_url: "https://nvidia.github.io/dcgm-exporter/helm-charts"
monitoring_nvidia_dcgm_exporter_helm_version: ""  # if not specified, latest

monitoring_alertmanager_replicas: 1

monitoring_allow_external_rules: false

monitoring_thanos_objectstorage_container_name: "{{ cluster_name }}-monitoring-thanos-data"
monitoring_thanos_objectstorage_config_file: ""
monitoring_thanos_objectstorage_config_path: "{{ ksl_vars_directory }}/../../config/"

monitoring_grafana_memory_limit: "512Mi"
monitoring_grafana_memory_request: "256Mi"
monitoring_grafana_cpu_limit: "500m"
monitoring_grafana_cpu_request: "100m"

monitoring_prometheus_persistent_storage_class: ""
monitoring_prometheus_persistent_storage_resource_request: "50Gi"
...
